C=====CHANGE OF VARIABLES R ----- RO===========
      SUBROUTINE VAR11(NE5,Z,R,BET,H,ALFA,RO1,R1)
      REAL*8Z,R,BET,H,ALFA,RO1,RO2,AA,RT,
     *ROT,R1(NE5 )
      NE=NE5-15
      RO1=(-DFLOAT(10)-DLOG(Z))*BET
      RO2=RO1+DFLOAT(  NE)*H
      ALFA=(RO2-BET*DLOG(R))/R
      RT=(RO2-BET*DLOG(RO2))/ ALFA
      DO 1 IJ=1,NE
      II=NE-IJ+1
      ROT=RO1+DFLOAT(II)*H
   11 AA=(ALFA*RT+BET*DLOG(RT)-
     *ROT)/(ALFA*RT+     BET)
      RT=RT*(1.    -AA)
      IF(DABS(AA).GT.1.D-06) GOTO 11
    1 R1(II+2)=RT
      RETURN
      END
